> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/catalog/products/batch/report/{operation-token}

> Get the report of an asynchronous batch operation previously requested



## OpenAPI

````yaml https://api.criteo.com/preview/marketingsolutions/open-api-specifications.json get /preview/catalog/products/batch/report/{operation-token}
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - MarketingSolutions
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Advertiser
  - name: Analytics
  - name: Audience
  - name: Campaign
  - name: Catalog
  - name: Creative
  - name: Gateway
  - name: OnSiteRecommendation
  - name: Reco
paths:
  /preview/catalog/products/batch/report/{operation-token}:
    get:
      tags:
        - Catalog
      summary: /preview/catalog/products/batch/report/{operation-token}
      description: Get the report of an asynchronous batch operation previously requested
      operationId: GetCatalogProductsBatchReport
      parameters:
        - name: operation-token
          in: path
          description: The token returned by the batch endpoint.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The report object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportOkResponse'
      security:
        - oauth:
            - MarketingSolutions_Catalog_Read
components:
  schemas:
    ReportOkResponse:
      required:
        - errorDetails
        - importRequestTimestamp
        - numberOfProductsDeleted
        - numberOfProductsInTheBatch
        - numberOfProductsUpserted
        - numberOfProductsWithErrors
        - numberOfProductsWithWarnings
        - status
        - warningDetails
      type: object
      properties:
        errorDetails:
          type: array
          items:
            $ref: '#/components/schemas/ReportDetailErrors'
          description: The list of errors with details.
        importRequestTimestamp:
          type: string
          description: The date when the original batch request was sent.
          format: int64
          nullable: true
        numberOfProductsDeleted:
          type: string
          description: The number of products deleted.
          format: int32
          nullable: true
        numberOfProductsInTheBatch:
          type: string
          description: The number of products present in the batch.
          format: int32
          nullable: true
        numberOfProductsUpserted:
          type: string
          description: The number of products upserted.
          format: int32
          nullable: true
        numberOfProductsWithErrors:
          type: string
          description: The number of products with errors.
          format: int32
          nullable: true
        numberOfProductsWithWarnings:
          type: string
          description: The number of products with Warnings.
          format: int32
          nullable: true
        status:
          enum:
            - ACCEPTED
            - IN_PROGRESS
            - VALIDATED
            - VALIDATED_WITH_ERRORS
            - FAILED
          type: string
          description: >-
            The status of the operation.

            The operation is completed when the status is one of
            (VALIDATED,VALIDATED_WITH_ERRORS,FAILED)
        warningDetails:
          type: array
          items:
            $ref: '#/components/schemas/ReportDetailWarnings'
          description: The list of Warnings with details.
      description: >-
        The report on a given operationToken is ready. The report is available
        for 4 days
    ReportDetailErrors:
      required:
        - errors
        - productId
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ReportDetailError'
        productId:
          type: string
          description: The product ID in lowercase
      description: A list of errors on a batch operation.
    ReportDetailWarnings:
      required:
        - productId
        - warnings
      type: object
      properties:
        productId:
          type: string
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/ReportDetailWarning'
      description: A list of warnings on a batch operation.
    ReportDetailError:
      required:
        - isServerRelated
        - message
        - type
      type: object
      properties:
        isServerRelated:
          type: boolean
        message:
          type: string
        type:
          enum:
            - UnknownError
            - InvalidBigImageUrl
            - InvalidProductId
            - InvalidProductUrl
            - InvalidSmallImageUrl
            - JsonParsingIssue
            - MissingID
            - MissingImages
            - MissingName
            - MissingURL
            - NonAsciiId
            - OverlargeBigImage
            - OverlargeID
            - OverlargeSmallImage
            - OverlargeURL
            - ConfigurationError
          type: string
      description: An error on a batch operation.
    ReportDetailWarning:
      required:
        - isServerRelated
        - message
        - type
      type: object
      properties:
        isServerRelated:
          type: boolean
        message:
          type: string
        type:
          enum:
            - OverlargeBadgeUrl
            - InvalidBadgeUrl
          type: string
      description: A warning on a batch operation.
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````